%{?nodejs_find_provides_and_requires}

%global packagename stream-consume
%global enable_tests 1

Name:		nodejs-stream-consume
Version:	0.1.0
Release:	2%{?dist}
Summary:	Consume a stream to ensure it keeps flowing

License:	MIT
URL:		https://github.com/aroneous/stream-consume.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(should)
BuildRequires:	npm(through2)
%endif

%description
Consume a stream to ensure it keeps flowing


%prep
%setup -q -n package

awk '/## License/,0' README.md > LICENSE

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Wed Feb 03 2016 Jared Smith <jsmith@fedoraproject.org> - 0.1.0-2
- Fix build requirements for tests

* Wed Jan 20 2016 Jared Smith <jsmith@fedoraproject.org> - 0.1.0-1
- Initial packaging
